<?php
namespace Concrete\Package\OunziwOsm;

defined('C5_EXECUTE') or die("Access Denied.");

use Concrete\Core\Package\Package;
use Concrete\Core\Block\BlockType\BlockType;

class Controller extends Package {

    protected $pkgHandle = 'ounziw_osm';
    protected $appVersionRequired = '8.2';
    protected $pkgVersion = '0.8.3';

    public function getPackageDescription() {
        return t("Dsiplays a map using Open Street Map.");
    }

    public function getPackageName() {
        return t("OSM Free Map");
    }
    public function install() {
        $pkg = parent::install();
        BlockType::installBlockType('map', $pkg);
    }
}